#подключаем необходимые библиотеки
from gpiozero import PWMLED, MCP3008
from time import sleep

#создаем объект с именем pot, который связан с каналом 0 микросхемы MCP3008
pot = MCP3008(0)

#создаем объект для PWMLED с именем led, который связан с GPIO 17
led = PWMLED(17)

while True:
    #сравниваем значение pot с текущими значениями выхода потенциометра
    if(pot.value < 0.001):
        #если значение pot очень мало — выключаем светодиод
        led.value = 0
    else:
        #изменяем яркость светодиода в соответствии со значением pot
        led.value = pot.value
    #выводим значение pot
    print(pot.value)
    #пауза на 0.1 секунды
    sleep(0.1)
